<?php
/**
 * Partial template to render the gallery shortcode section type
 * Created by themify
 * @since 1.0.0
 */

global $themify, $themify_gallery;

$images = $themify_gallery->get_gallery_images();

if ( $images ) :

	/**
	 * @var array $gsops Slider parameters.
	 */
	$gsops = $themify_gallery->get_slider_params( get_the_id() );
	?>

	<div class="gallery-wrapper">
		<ul data-speed="<?php echo $gsops['transition']; ?>" data-auto="<?php echo $gsops['autoplay']; ?>">
			<?php foreach ( $images as $index => $image ) : ?>
				<li data-index="<?php echo $index; ?>">
					<?php
					$image = themify_do_img( $image->ID, themify_get( 'image_width' ), themify_get( 'image_height' ) );
					printf( '<img src="%s" width="%s" height="%s" alt="%s" />',
						$image['url'],
						$image['width'],
						$image['height'],
						get_the_title()
					);
					?>
				</li>
			<?php endforeach; // images as image ?>
			
		</ul>
	</div><!-- /.gallery-wrapper -->

<?php endif; // images ?>